> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# लाइक्स

> पोस्ट्स को लाइक और अनलाइक करें, और लाइक की जानकारी प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Likes एंडपॉइंट्स आपको पोस्ट्स को लाइक और अनलाइक करने, यह देखने की सुविधा देते हैं कि किसी पोस्ट को किन उपयोगकर्ताओं ने लाइक किया, और किसी उपयोगकर्ता द्वारा लाइक की गई पोस्ट्स प्राप्त करने देते हैं.

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="पोस्ट को लाइक करें" icon="heart">
    किसी उपयोगकर्ता की ओर से किसी पोस्ट को लाइक करें
  </Card>

  <Card title="पोस्ट से लाइक हटाएँ" icon="heart-crack">
    किसी पोस्ट से लाइक हटाएँ
  </Card>

  <Card title="लाइक करने वाले उपयोगकर्ता" icon="users">
    देखें कि किसी पोस्ट को किन उपयोगकर्ताओं ने लाइक किया
  </Card>

  <Card title="लाइक की गई पोस्ट्स" icon="list-heart">
    किसी उपयोगकर्ता द्वारा लाइक की गई पोस्ट्स प्राप्त करें
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## एंडपॉइंट्स
</div>

<div id="likes-lookup">
  ### लाइक्स लुकअप
</div>

| विधि | एंडपॉइंट                                                         | विवरण                                                     |
| :--- | :--------------------------------------------------------------- | :-------------------------------------------------------- |
| GET  | [`/2/tweets/:id/liking_users`](/hi/x-api/posts/get-liking-users) | किसी पोस्ट को लाइक करने वाले उपयोगकर्ताओं को प्राप्त करें |
| GET  | [`/2/users/:id/liked_tweets`](/hi/x-api/users/get-liked-posts)   | किसी उपयोगकर्ता द्वारा लाइक की गई पोस्ट्स प्राप्त करें    |

<div id="manage-likes">
  ### लाइक्स प्रबंधित करें
</div>

| विधि   | एंडपॉइंट                                                      | विवरण                    |
| :----- | :------------------------------------------------------------ | :----------------------- |
| POST   | [`/2/users/:id/likes`](/hi/x-api/users/like-post)             | किसी पोस्ट को लाइक करें  |
| DELETE | [`/2/users/:id/likes/:tweet_id`](/hi/x-api/users/unlike-post) | किसी पोस्ट से लाइक हटाएँ |

***

<div id="important-notes">
  ## महत्वपूर्ण नोट्स
</div>

<Note>
  लाइक करने वाले उपयोगकर्ताओं का एंडपॉइंट, लाइक्स की वास्तविक संख्या चाहे जितनी भी हो, हर पोस्ट के लिए अब तक अधिकतम **100 उपयोगकर्ता** रिटर्न करता है।
</Note>

***

<div id="example-get-liking-users">
  ## उदाहरण: लाइक करने वाले उपयोगकर्ताओं को प्राप्त करें
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/liking_users?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-like-a-post">
  ## उदाहरण: किसी पोस्ट को लाइक करना
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/likes" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"tweet_id": "1234567890"}'
```

***

<div id="getting-started">
  ## शुरू करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * आपके ऐप की [कुंजियाँ और टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="लुकअप त्वरित शुरुआत" icon="heart" href="/hi/x-api/posts/likes/quickstart/likes-lookup">
    किसी पोस्ट के लाइक्स प्राप्त करें
  </Card>

  <Card title="मैनेजमेंट त्वरित शुरुआत" icon="plus" href="/hi/x-api/posts/likes/quickstart/manage-likes">
    पोस्ट्स को लाइक और अनलाइक करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/posts/liking-users-of-a-post">
    एंडपॉइंट का पूरा दस्तावेज़
  </Card>

  <Card title="नमूना कोड" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    काम करने वाले कोड उदाहरण
  </Card>
</CardGroup>
